import { Consumer } from "./fd-consumer";
/** @monorepo-internal */
export declare function registerConsumer<T extends object>(messageType: string, consumer: Consumer<T>): void;
/** @monorepo-internal */
export declare function clearConsumers(messageType: string): void;
/** @monorepo-internal */
export declare function publishMessage<T extends object>(message: T): Promise<void>;
